<?
/*
 本软件版权归作者所有,在投入使用之前注意获取许可
 原作者: 看海
 修改者：程威（wiwiboy）
 郑州大学西亚斯国际学院网络信息技术专业
 电话：13733804908
 邮箱：wiwiboy@126.com
 QQ号：158839753
 网址：http://wiwiboy.512j.com
*/
ini_set('max_execution_time',5000);
function ip2num( $Ip )
		{
			$IpData = explode( '.', $Ip );
			if( count( $IpData ) != 4 )
			{
				return $Ip;
			}
			$IpNum = 0;	
			foreach( $IpData as $Key => $Val )
			{
				$IpNum += intval( $Val ) * pow ( 256, 3-$Key );
			}
			return $IpNum;
		}

mysql_connect("localhost","root","");
mysql_select_db("counter");
$sql = "select id,ip_start,ip_end from count_ip_data";
$result = mysql_query($sql);
$loop=0;
while($row = mysql_fetch_array($result))
{
	$loop++;
$ip_id = $row['id'];
$ip_start_num = ip2num( $row['ip_start'] );
$ip_end_num = ip2num( $row['ip_end'] );
mysql_query("update count_ip_data set ip_start = '$ip_start_num',ip_end = '$ip_end_num' where id = '$ip_id'");


}
echo "执行完毕";


?>
